Bug 1121134 - PackageKit crashes after doing yum update
Summary: PackageKit crashes after doing yum update
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Fedora
Classification: Fedora
Component: PackageKit
Version: 21
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Richard Hughes
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-18 13:00 UTC by Elad Alfassa
Modified: 2015-01-26 13:02 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-01-26 13:02:47 UTC


Attachments (Terms of Use)

Description Elad Alfassa 2014-07-18 13:00:17 UTC
Testing yum update (because yum is still supported and default), I encountered this crash:

Jul 18 15:47:13 weatherwax PackageKit[1639]: daemon quit
Jul 18 15:47:13 weatherwax packagekitd[1639]: (packagekitd:1639): GLib-CRITICAL **: Source ID 6 was not found when attempting to remove it


#0  0x00007f16f7292d20 in  ()
#1  0x00007f170e7ce760 in <signal handler called> () at /lib64/libpthread.so.0
#2  0x00007f170fc40957 in munmap () at ../sysdeps/unix/syscall-template.S:81
#3  0x00007f170fc3fffd in _dl_unmap (l=0x7f1711b2e470, l=0x7f1711b2e470) at ./dl-unmap-segments.h:32
#4  0x00007f170fc3fffd in _dl_unmap (map=map@entry=0x7f1711b2e470) at ../sysdeps/x86_64/tlsdesc.c:140
#5  0x00007f170fc3c733 in _dl_close_worker (map=map@entry=0x7f1711b2b570) at dl-close.c:641
#6  0x00007f170fc3d178 in _dl_close (map=0x7f1711b2b570) at dl-close.c:125
#7  0x00007f170fc3d178 in _dl_close (_map=0x7f1711b2b570) at dl-close.c:775
#8  0x00007f170fc367e4 in _dl_catch_error (objname=0x7f1711b18bb0, errstring=0x7f1711b18bb8, mallocedp=0x7f1711b18ba8, operate=0x7f170e1f5110 <dlclose_doit>, args=0x7f1711b2b570) at dl-error.c:187
#9  0x00007f170e1f56ad in _dlerror_run (operate=operate@entry=0x7f170e1f5110 <dlclose_doit>, args=0x7f1711b2b570) at dlerror.c:163
#10 0x00007f170e1f513f in __dlclose (handle=<optimized out>) at dlclose.c:46
#11 0x00007f170fa23299 in _g_module_close (handle=<optimized out>, is_unref=0) at gmodule-dl.c:136
#12 0x00007f170fa23412 in g_module_close (module=0x7f1711b1fb80) at gmodule.c:759
#13 0x00007f170fe64125 in pk_backend_finalize (object=0x7f1711b1e240 [PkBackend]) at pk-backend.c:960
#14 0x00007f170ed290b6 in g_object_unref (_object=0x7f1711b1e240) at gobject.c:3170
#15 0x00007f170fe6fb7b in pk_engine_finalize (object=0x7f1711afb170 [PkEngine]) at pk-engine.c:1817
#16 0x00007f170ed290b6 in g_object_unref (_object=0x7f1711afb170) at gobject.c:3170
#17 0x00007f170fe59582 in main (argc=1, argv=0x7fff0d421ef8) at pk-main.c:361

Comment 1 Richard Hughes 2014-07-28 17:16:43 UTC
What version PK?

Comment 2 Elad Alfassa 2015-01-26 13:02:47 UTC
It doesn't happen anymore, closing this bug.


Note You need to log in before you can comment on or make changes to this bug.